<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Sensor.Sensor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_sensor_1_1_sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_sensor_1_1_sensor-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Sensor.Sensor Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Sensor.Sensor:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_sensor_1_1_sensor.png" usemap="#Sensor.Sensor_map" alt=""/>
  <map id="Sensor.Sensor_map" name="Sensor.Sensor_map">
<area href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html" alt="acceleration_sensor.MEMS3AxisAccelerationSensor" shape="rect" coords="0,112,312,136"/>
<area href="classearth__sensor_1_1_earth_sensor.html" alt="earth_sensor.EarthSensor" shape="rect" coords="322,112,634,136"/>
<area href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html" alt="gyroscope.MEMS3AxisGyroscope" shape="rect" coords="644,112,956,136"/>
<area href="classmagnetometer_1_1_fluxgate_magnetometer.html" alt="magnetometer.FluxgateMagnetometer" shape="rect" coords="966,112,1278,136"/>
<area href="classmagnetometer_1_1_magnetometer.html" alt="magnetometer.Magnetometer" shape="rect" coords="1288,112,1600,136"/>
<area href="classsunsensor_1_1_sunsensor.html" alt="sunsensor.Sunsensor" shape="rect" coords="1610,112,1922,136"/>
<area href="classsunsensor_1_1_fine_sun_sensor.html" alt="sunsensor.FineSunSensor" shape="rect" coords="1449,168,1761,192"/>
<area href="classsunsensor_1_1_photodiode.html" alt="sunsensor.Photodiode" shape="rect" coords="1771,168,2083,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a49b7ea4faa0488707970f4ecc64ab10b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">__init__</a> (self, str <a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, str <a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a>, bool <a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a>, int <a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a>, <a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a>, bool <a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a>=True)</td></tr>
<tr class="separator:a49b7ea4faa0488707970f4ecc64ab10b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d0414d420e2d284be4e0b17d5aaf6a6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">check_parameter_update</a> (self)</td></tr>
<tr class="separator:a0d0414d420e2d284be4e0b17d5aaf6a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a105952a867f87ce62e9527155ac5e117"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a></td></tr>
<tr class="separator:a105952a867f87ce62e9527155ac5e117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9edb79bdcd32ba3e64b4108302a8731"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a></td></tr>
<tr class="separator:ab9edb79bdcd32ba3e64b4108302a8731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d7fc1b38b659f1b9078a1b66a125e5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a></td></tr>
<tr class="separator:a50d7fc1b38b659f1b9078a1b66a125e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd282df196192e299b27275784c5640"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a></td></tr>
<tr class="separator:aacd282df196192e299b27275784c5640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f85b223f3ba2d6b26024c99f749dce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a></td></tr>
<tr class="separator:ae7f85b223f3ba2d6b26024c99f749dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9459e5f38bf10a463cdb377d31c796e0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a></td></tr>
<tr class="separator:a9459e5f38bf10a463cdb377d31c796e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1ef67bc79c2569b579eacad4222022"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a></td></tr>
<tr class="separator:adc1ef67bc79c2569b579eacad4222022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7709b892a731f2d22d89c7bb8d7bcedf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a7709b892a731f2d22d89c7bb8d7bcedf">parameter_count</a></td></tr>
<tr class="separator:a7709b892a731f2d22d89c7bb8d7bcedf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080bdfc3b220f4273e3b4a9d45c413b5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a></td></tr>
<tr class="separator:a080bdfc3b220f4273e3b4a9d45c413b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a49b7ea4faa0488707970f4ecc64ab10b" name="a49b7ea4faa0488707970f4ecc64ab10b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49b7ea4faa0488707970f4ecc64ab10b">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Sensor.Sensor.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>digital</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>outputs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>active</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Parameters and functions, that all sensors share

:param name: (string) name of the sensor
:param position: (numpy array, 3x1 x y z) position of the sensor in the satellite frame in m
:param orientation: (numpy array, 1x4 qi qj qk qr) orientation of the sensor in quaternions in the
                                                                                            satellite frame
:param database: (string, .db) name of the database to read/write from/in
:param digital: (bool) defines if the sensor is digital or analog
:param mode: (int) chooses between a different set of predefined parameter for the sensor
:param active: (Boolean) activates or deactivates the sensor
</pre> 
<p>Reimplemented in <a class="el" href="classearth__sensor_1_1_earth_sensor.html#aae4b26f62fd387291a8fa650f11cccf7">earth_sensor.EarthSensor</a>, <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ab6c6cb2182362fe231ca031573af22a4">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a7971158b3234878bc765f72deac25e9d">gyroscope.MEMS3AxisGyroscope</a>, <a class="el" href="classsunsensor_1_1_photodiode.html#ab091d0938910c713729689bd5be1d116">sunsensor.Photodiode</a>, <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a92cf4079fa6994c22dedb86e7b72939c">sunsensor.FineSunSensor</a>, and <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#abf0e1c0d1071ca811f4bb7c2cc030ccc">magnetometer.FluxgateMagnetometer</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0d0414d420e2d284be4e0b17d5aaf6a6" name="a0d0414d420e2d284be4e0b17d5aaf6a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d0414d420e2d284be4e0b17d5aaf6a6">&#9670;&nbsp;</a></span>check_parameter_update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Sensor.Sensor.check_parameter_update </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Check for updates in the sensors parameter list. When the user has entered a change of parameters, this
change is written into the parameters table of the respective sensor. This method then compares its parameter
count value with the amount of rows that re present in the parameter table. If the row count exceeds the
parameter count value the newest row is read and parameter changes will be done.</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae7f85b223f3ba2d6b26024c99f749dce" name="ae7f85b223f3ba2d6b26024c99f749dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7f85b223f3ba2d6b26024c99f749dce">&#9670;&nbsp;</a></span>active</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.active</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aacd282df196192e299b27275784c5640" name="aacd282df196192e299b27275784c5640"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacd282df196192e299b27275784c5640">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9459e5f38bf10a463cdb377d31c796e0" name="a9459e5f38bf10a463cdb377d31c796e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9459e5f38bf10a463cdb377d31c796e0">&#9670;&nbsp;</a></span>digital</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.digital</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc1ef67bc79c2569b579eacad4222022" name="adc1ef67bc79c2569b579eacad4222022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc1ef67bc79c2569b579eacad4222022">&#9670;&nbsp;</a></span>mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.mode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a105952a867f87ce62e9527155ac5e117" name="a105952a867f87ce62e9527155ac5e117"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a105952a867f87ce62e9527155ac5e117">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a50d7fc1b38b659f1b9078a1b66a125e5" name="a50d7fc1b38b659f1b9078a1b66a125e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50d7fc1b38b659f1b9078a1b66a125e5">&#9670;&nbsp;</a></span>orientation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.orientation</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a080bdfc3b220f4273e3b4a9d45c413b5" name="a080bdfc3b220f4273e3b4a9d45c413b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a080bdfc3b220f4273e3b4a9d45c413b5">&#9670;&nbsp;</a></span>outputs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.outputs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7709b892a731f2d22d89c7bb8d7bcedf" name="a7709b892a731f2d22d89c7bb8d7bcedf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7709b892a731f2d22d89c7bb8d7bcedf">&#9670;&nbsp;</a></span>parameter_count</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.parameter_count</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9edb79bdcd32ba3e64b4108302a8731" name="ab9edb79bdcd32ba3e64b4108302a8731"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9edb79bdcd32ba3e64b4108302a8731">&#9670;&nbsp;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sensor.Sensor.position</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_sensor_8py.html">Sensor.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_sensor.html">Sensor</a></li><li class="navelem"><a class="el" href="class_sensor_1_1_sensor.html">Sensor</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
